<!DOCTYPE html>
<html lang="fa" dir="rtl">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title>محافظت از ایمیل - یک راهنما برای مبارزه با سیستم‌های نظارتی با رمز‌گذاری
GnuPG</title>
<meta name="keywords" content="GnuPG, GPG, openpgp, نظارت, حریم شخصی, ایمیل, Enigmail" />
<meta name="description" content="نظارت گسترده حقوق اولیه ما را زیر پا می‌گذارد و آزادی بیان را پرمخاطره
می‌سازد. این راهنما در مدت ۴۰ دقیقه محافظت از ایمیل شخصی به وسیله‌ی GnuPG را
به شما آموزش می‌دهد." />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<link rel="stylesheet" href="//static.fsf.org/nosvn/enc-dev0/css/main.css" />
<link rel="stylesheet" href="//static.fsf.org/nosvn/enc-dev0/css/main.rtl.css" />
<link rel="shortcut icon" href="//static.fsf.org/nosvn/enc-dev0/img/favicon.ico" />
</head>

<body>

<!-- ~~~~~~~~~ GnuPG Header and introduction text ~~~~~~~~~ -->
<header class="row" id="header"><div>

<h1>محافظت از ایمیل شخصی</h1>

<!-- Language list for browsers that do not have JS enabled -->

<ul id="languages" class="os">
<li><a href="/en">English - v4.0</a></li>
<li><a href="/ar">العربية <span class="tip">tip</span></a></li>
<li><a href="/cs">Čeština - v4.0</a></li>
<li><a href="/de">Deutsch - v3.0</a></li>
<li><a href="/el">ελληνικά - v3.0</a></li>
<li><a href="/es">español - v4.0</a></li>
<li><a class="current" href="/fa">فارسی - v4.0</a></li>
<li><a href="/fr">français - v4.0</a></li>
<li><a href="/it">italiano - v3.0</a></li>
<li><a href="/ja">日本語 - v4.0</a></li>
<li><a href="/ko">한국어 <span class="tip">tip</span></a></li>
<li><a href="/ml">മലയാളം <span class="tip">tip</span></a></li>
<li><a href="/pt-br">português do Brasil - v3.0</a></li>
<li><a href="/ro">română - v3.0</a></li>
<li><a href="/ru">русский - v4.0</a></li>
<li><a href="/sq">Shqip - v4.0</a></li>
<li><a href="/sv">svenska - v4.0</a></li>
<li><a href="/tr">Türkçe - v4.0</a></li>
<li><a href="/zh-hans">简体中文 <span class="tip">tip</span></a></li>
<li><a href="https://libreplanet.org/wiki/GPG_guide/Translation_Guide"><strong><span
style="color: #2F5FAA;">ترجمه کنید!</span></strong></a></li>
</ul>

<ul id="menu" class="os">
<li class="spacer"><a href="index.html" class="current">گنو/لینوکس</a></li>
<li><a href="mac.html">مک</a></li>
<li><a href="windows.html">ویندوز</a></li>
<li class="spacer"><a href="workshops.html">به دوستان خود آموزش دهید</a></li>
<li class="spacer"><a href="https://fsf.org/share?u=https://u.fsf.org/zb&amp;t=Email encryption
for everyone via %40fsf"> اشتراک گذاری&nbsp;
<img
src="//static.fsf.org/nosvn/enc-dev0/img/gnu-social.png"
class="share-logo"
alt="[GNU Social]" />&nbsp;
<img
src="//static.fsf.org/nosvn/enc-dev0/img/pump.io.png"
class="share-logo"
alt="[Pump.io]" />&nbsp;
<img
src="//static.fsf.org/nosvn/enc-dev0/img/reddit-alien.png"
class="share-logo"
alt="[Reddit]" />&nbsp;
<img
src="//static.fsf.org/nosvn/enc-dev0/img/hacker-news.png"
class="share-logo"
alt="[Hacker News]" />
</a></li>
</ul>

<!-- ~~~~~~~~~ FSF Introduction ~~~~~~~~~ -->
<div id="fsf-intro">

<h3><a href="http://u.fsf.org/ys"><img
alt="بنیاد نرم افزار آزاد"
src="//static.fsf.org/nosvn/enc-dev0/img/fsf-logo.png" />
</a></h3>

<div class="fsf-emphasis">

<p>ما برای حقوق کاربران کامپیوتر و توسعه ی آزادی نرم افزاری مبارزه می
کنیم. ایستادن جلوی سیستم های نظارتی همگانی برای ما خیلی مهم است.</p>

<p><strong> لطفا برای پیشتیانی از "محافظت از ایمیل شخصی" کمک مالی کنید. ما
نیازمند پیشرفت و ایجاد منابع دیگری در جهت یاری رساندن به مردم سراسر جهان
برای محافظت از حریم خصوصی آنها هستیم. </strong></p>

</div>

<p><a
href="https://crm.fsf.org/civicrm/contribute/transact?reset=1&amp;id=14&amp;pk_campaign=email_self_defense&amp;pk_kwd=guide_donate"><img
alt="کمک کنید"
src="//static.fsf.org/nosvn/enc-dev0/img/en/donate.png" /></a></p>

</div><!-- End #fsf-intro -->

<!-- ~~~~~~~~~ Guide Introduction ~~~~~~~~~ -->
<div class="intro">

<p><a id="infographic" href="infographic.html"><img
src="//static.fsf.org/nosvn/enc-dev0/img/en/infographic-button.png"
alt="نمایش و اشتراک گذاری اینفوگرافیک‌های ما&rarr;" /></a>
نظارت گسترده حقوق اولیه ما را زیر پا می گذارد و آزادی بیان را پرمخاطره
می سازد. این راهنمایک مهارت دفاعی در مقابل سیستم های نظارتی را به شما آموزش
می دهد: رمزنگاری ایمیل. با این راهنما شما قادر خواهید بود به ارسال و دریافت
ایمیل هایی می کند که سیستم های نظارتی یا دزدانی که ایمیل شما را مسدود کرده
اند نتوانند آنها را بخوانند یا بفهمند. همه ی چیزی که نیاز دارید یک کامپیوتر
متصل به اینترنت، یک ایمیل و حدود ۴۰ دقیقه زمان است.</p>

<p>حتی اگر چیزی ندارید که مخفی کنید، استفاده از رمزنگاری به شما کمک خواهد کرد
که از حریم خصوصی کسانی که با آنها ارتباط برقرار می کنید محافظت کنید و کار را
برای سیستم های نظارتی دشوار کنید. اگر شما چیزی دارید که مخفی کنید، جای درستی
آمده اید؛ ابزارهایی در اینجا وجود دارند که افشاگران استفاده می کنند تا هویت
خود را مخفی کنند و برضد نقض حقوق بشر فساد اداری و دیگر جرائم روشنگری کنند.</p>

<p>افزون بر رمزگذاری ایمیل، اقدام علیه سیستم های نظارتی نیازمند مبارزه سیاسی
برای <a href="http://gnu.org/philosophy/surveillance-vs-democracy.html">کاهش
داده‌های جمع آوری شده از ما</a> است، ولی اولین گام ضروری محافظت از خودمان و
دشوار کردن کار برای سیستم های نظارتی تا حد ممکن است؛ این راهنما برای این
منظور به شما کمک می کند. این راهنما برای تازه کارها طراحی شده است، ولی اگر
شما در مقدمات GnuPG را می دانید یا یه کاربر با تجربه نرم افزار آزاد هستید،
شما از تکنیک های پیشرفته تر و <a href="workshops.html">چگونگی آموزش به
دوستان</a> لذت خواهی برد.</p>

</div><!-- End .intro -->
</div></header><!-- End #header -->

<!-- ~~~~~~~~~ Section 1: Get the pieces ~~~~~~~~~ -->
<section class="row" id="section1"><div>

<!-- ~~~~~~~~~ section introduction: interspersed text ~~~~~~~~~ -->
<div class="section-intro">

<h2><em>#۱</em> تهیه‌ی موارد مورد نیاز</h2>

<p class="notes">این راهنما بر اساس نرم افزاری است که دارای <a
href="https://www.gnu.org/philosophy/free-sw.html">مجوز آزاد</a> است که
کاملا شفاف است و هرکسی می تواند آن را کپی کند و نسخه ی خودش را تهیه کند. این
امنیت بیشتری برای شما ارائه می دهد نسبت به نرم افزارهای وابسته (مثل
ویندوز). در مورد نرم افزار آزاد <a href="https://u.fsf.org/ys">اینجا</a>
بیشتر مطالعه کنید.</p>

<p>در بیشتر سیستم عامل های گنو/لینوکس GnuPG به صورت پیش فرض نصب شده است، در
نتیجه شما محبور به دانلود آن نیستید. اگرچه قبل از پیکربندی GnuPG شما نیاز
دارید که برنامه دسکتاپ IceDove را روی کامپیوتر خود نصب کنید. بیشتر توزیع های
گنو/لینوکس برنامه IceDove‌ را نصب شده دارند، اگرجه ممکن است شما آن را با نام
جایگزین Thunderbird پیدا کنید. نرم افزارهای ایمیل راه دیگری برای دستیابی به
ایمیل هایی هستند که شما می توانید آن ها را در مرورگر خود باز کنید (شبیه
Gmail)، ولی ویژگی های بیشتری دارند.</p>

<p>اگر یک نرم افزار ایمیل دارید و نیاز به نصب ندارید، می توانید به <a
href="#step-1b">ب. گام یک</a> بروید.</p>

</div><!-- End .section-intro -->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="step-1a" class="step">
<div class="sidebar">

<p><img
src="//static.fsf.org/nosvn/enc-dev0/img/en/screenshots/step1a-install-wizard.png"
alt="گام ۱. الف: نصب برنامه‌ی نصاب (Wizard)" /></p>

</div><!-- /.sidebar -->
<div class="main">

<h3><em>گام ۱، الف</em>نرم افزار ایمیل خود را با حساب ایمیل نصب کنید</h3>

<p>نرم افزار ایمیل خود را باز کنید و مراحل را گام به گام پیش بروید.</p>

<p>هنگام نصب اکانت ایمیل خود، به دنبال کلمات SSL، TLS و STARTTLS در سمت راست
سرورها باشید. اگر شما آنها را نمی‌بینید، همچنان قادر به رمزگذاری خواهید بود،
ولی این به این معناست که ارائه دهندگان ایمیل شما استانداردهای لازم را برای
حفاظت از امنیت و حریم شخصی شما پیاده سازی نکرده اند. پیشنهاد می کنیم یک
ایمیل دوستانه به آنها بفرستید و از آنها بخواهید SSL، TLS یا STARTTLS را برای
سرور ایمیل شما فعال کنند. آنها می‌دانند که شما از چه صحبت می کنید، پس ارزش
آن را دارد که از آنها این درخواست را بکنید حتی اگر در زمینه سیستم‌های امنیتی
اطلاعی ندارید.</p>

<!-- ~~~~~~~~~ Troubleshooting ~~~~~~~~~ -->
<div class="troubleshooting">

<h4>عیب یابی</h4>

<dl>
<dt>برنامه‌ی نصب کننده اجرا نمی‌شود</dt>
<dd>شما می‌توانید برنامه‌ی نصاب را خودتان اجرا کنید، ولی منوی مربوطه برای اینکار
در هر برنامه‌ی ایمیل متفاوت است. دکمه‌ی اجرای برنامه‌ی نصاب در منوی اصلی
برنامه، زیر قسمت "New" یا چیزی شبیه این، با عنوانی مثل "Add account" یا
"New/Existing email account."</dd>

<dt>برنامه ی نصب کننده نمی‌تواند حساب ایمیل من را پیدا کند، یا نمی‌تواند
ایمیل‌ها را دانلود کند</dt>
<dd>پیش از جستجو در اینترنت، به شما پیشنهاد می کنیم با سوال از کسانی که سیستم
ایمیل مشابهی استفاده میکنند شروع کنید تا چگونگی تنظیمات را متوجه شوید.</dd>

<dt class="feedback">راه حلی برای مشکل خود پیدا نمی کنید؟</dt>
<dd class="feedback">لطفا از طریق صفحه‌ی <a
href="https://libreplanet.org/wiki/GPG_guide/Public_Review">پیشنهادات</a> با
ما در میان بگذارید.</dd>
</dl>

</div><!-- /.troubleshooting -->
</div><!-- End .main -->
</div><!-- End #step1-a .step -->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="step-1b" class="step">
<div class="sidebar">

<ul class="images">
<li><img
src="//static.fsf.org/nosvn/enc-dev0/img/en/screenshots/step1b-01-tools-addons.png"
alt="گام ۱، ب: Tools > Add-ons" /></li>

<li><img
src="//static.fsf.org/nosvn/enc-dev0/img/en/screenshots/step1b-02-search.png"
alt="گام ۱، ب: جستجو در افزونه‌ها(Add-ons)" /></li>

<li><img
src="//static.fsf.org/nosvn/enc-dev0/img/en/screenshots/step1b-03-install.png"
alt="گام ۱، ب: نصب افزونه‌ها(Add-ons)" /></li>
</ul>

</div><!-- /.sidebar -->
<div class="main">

<h3><em>گام ۱، ب</em> نصب پلاگین Enigmail برای نرم افزار ایمیل</h3>

<p>در منوی نرم افزار ایمیل خود، Add-ons را انتخاب کنید(ممکن است در منوی Tools
باشد). سپس Extensions را در سمت چپ انتخاب کنید. آیا Enigmail را می بینید؟
اگر می بینید به مرحله‌ی بعد بروید.</p>

<p>اگر نمی بینید، "Enigmail" را در کادر جستجوی سمت راست بالا جستجو کنید. شما می
توانید عبارت را از اینجا کپی کنید. وقتی آن را نصب کردید نرم افزار ایمیل را
ببندید و دوباره باز کنید. (روی Restart کلیک کنید)</p>

<!-- ~~~~~~~~~ Troubleshooting ~~~~~~~~~ -->
<div class="troubleshooting">

<h4>عیب یابی</h4>

<dl>
<dt>نمی توانم منو را پیدا کنم.</dt>
<dd>در بیشتر نرم افزارهای ایمیل جدید، منوی اصلی با یک تصویر سه خط افقی باز
می‌شود.</dd>

<dt>ایمیل من عجیب به نظر می رسد</dt>
<dd>معمولا Enigmail با HTML (که برای قالب بندی ایمیل‌ها استفاده می‌شود) عملکرد
خوبی ندارد، در نتیجه ممکن است به صورت خودکار قالب بندی HTML را غیرفعال
کند. برای ارسال یک ایمیل HTML بدون رمزگذاری یا امضا، کلید Shift را موقع کلیک
روی compose فشار دهید، در این صورت ایمیل شما به گونه‌ای ارسال می‌شود که
انگار Enigmail وجود ندارد.</dd>

<dt class="feedback">راه حلی برای مشکل خود پیدا نمی کنید؟</dt>
<dd class="feedback">لطفا از طریق صفحه‌ی <a
href="https://libreplanet.org/wiki/GPG_guide/Public_Review">پیشنهادات</a> با
ما در میان بگذارید.</dd>
</dl>

</div><!-- /.troubleshooting -->
</div><!-- End .main -->
</div><!-- End #step-1b .step -->
</div></section><!-- End #section1 -->

<!-- ~~~~~~~~~ Section 2: Make your keys ~~~~~~~~~ -->
<section class="row" id="section2"><div>

<!-- ~~~~~~~~~ section introduction: interspersed text ~~~~~~~~~ -->
<div class="section-intro">

<h2><em>#۲</em> ساخت کلیدها</h2>

<p>برای استفاده از GnuPG، شما به یک کلید عمومی (public key) و یک کلید خصوصی
(private key)نیاز دارید (این دو با هم دیگر جفت کلید یا keypair‌ نامیده می
شوند). هر کدام یک متن بلند از حروف و اعداد تصادفی که به طور اختصاصی برای شما
ساخته شده اند. کلید عمومی و خصوصی شما به وسیله‌ی یک تابع ریاضی به هم دیگر
مرتبط شده اند.</p>

<p>کلید عمومی شبیه یک کلید فیزیکی نیست، چون به صورت آزاد در یک دایرکتوری آنلاین
که سرور کلید (keyserver) نامیده می شود ذخیره شده است. دیگران آن را دانلود
کرده و از آن به همراه با GnuPG استفاده می کنند تا ایمیل‌های ارسالی برای شما
را رمز گذاری کنند. شما می توانید سرور کلید را به صورت یک دفترچه تلفن تصور
کنید، هرکسی بخواهد برای شما یک ایمیل رمزگذاری شده بفرستد می تواند دنبال کلید
عمومی شما بگردد.</p>

<p>کلید خصوصی شما بیشتر شبیه یک کلید فیزیکی است، چون شما آن را پیش خود نگه
می‌دارید (در کامپیوتر خود). شما از GnuPG و کلید خصوصی با همدیگر استفاده می
کنید تا ایمیل‌های رمزگذاری شده‌ای را که دیگران برای شما فرستاده اند رمزگشایی
کنید. شما هیچ موقع نباید کلید خصوصی خود را در اختیار شخص دیگری قرار بدهید،
<span style="font-weight: bold;">تحت هیچ شرایطی.</span></p>

<p>علاوه بر رمزگذاری و رمزگشایی، شما همچنین می توانید از این کلیدها استفاده
کنید و پیام‌های خود را امضا کنید و صحت امضاهای دیگر را تشخیص دهید. در بخش
بعدی در مورد این صحبت خواهیم کرد.</p>

</div><!-- End .section-intro -->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="step-2a" class="step">
<div class="sidebar">

<p><img
src="//static.fsf.org/nosvn/enc-dev0/img/en/screenshots/step2a-01-make-keypair.png"
alt="گام ۲، الف: ساختن کلید عمومی و خصوصی" /></p>

</div><!-- /.sidebar -->
<div class="main">

<h3><em>گام ۲، الف</em> ساختن کلید عمومی و خصوصی</h3>

<p>برنامه‌ی نصب Enigmail به طور خودکار باز خواهد شد. در غیراینصورت از منوی نرم
افزار ایمیل خود، Enigmail سپس Setup را انتخاب کنید. نیازی به مطالعه‌ی
صفحه‌ای که باز می شود ندارید مگر اینکه علاقه داشته باشید، اما بد نیست که متن
صفحه‌ی بعدی که ظاهر می شود را بخوانید. گزینه‌های انتخاب شده به صورت پیش فرض
را به همان شکل رها کنید و روی Next‌ کلیک کنید، به جز در موارد زیر که به
ترتیبی که ظاهر می شوند آورده شده‌اند:</p>

<ul>
<li>در صفحه با عنوان "Encryption," این گزینه را انتخاب کنید:
<br /><span dir="ltr">"Encrypt all of my messages by default, because
privacy is critical to me."</span></li>

<li>در صفحه با عنوان "Signing," این گزینه را انتخاب کنید:
<br /><span dir="ltr">"Don't sign my messages by default."</span></li>

<li>در صفحه با عنوان "Key Selection," این گزینه را انتخاب کنید:
<br /><span dir="ltr">"I want to create a new key pair for signing and
encrypting my email."</span></li>

<li>در صفحه با عنوان "Create Key" یک رمز عبور سخت انتخاب کنید. می توانید این کار
را خودتان انجام دهید یا از روش Diceware استفاده کنید. اگر رمز عبور را خودتان
انتخاب کنید سریع‌تر است ولی ناامن تر. استفاده از Diceware زمان بیشتری از شما
می‌گیرد و یک رمز عبور تصادفی ایجاد می‌کند، اما رمز عبوری ایجاد می‌کند که که
پیدا کردن آن برای حمله کننده‌ها بسیار سخت‌تر است. برای استفاده از Diceware
بخش "ایجاد یک رمز عبور امن با Diceware" نوشته‌ی مایکل لی را در <a
href="https://theintercept.com/2015/03/26/passphrases-can-memorize-attackers-cant-guess/">این
مقاله</a> بخوانید.</li>
</ul>

<p>اگر می‌خواهید که خودتا رمزعبور را انتخاب کنید، چیزی انتخاب کنید که بتوانید
به خاطر بیاورید و حداقل ۱۲ حرف(کاراکتر) باشد، همچنین حداقل شامل یک حرف
بزرگ(مانند A)، یک حرف کوچک(مانند a) و یک عدد یا حروف نشانه گذاری(مثل &)
باشد. به هیچ عنوان از رمزعبوری که جای دیگری استفاده می‌کنید استفاده
نکنید. از الگوهای قابل پیش بینی مانند تاریخ تولد، شماره تلفن، نام حیوانات
خانگی، متن ترانه‌ها، نقل قول‌ها و غیره استفاده نکنید.</p>

<p class="notes">نرم افزار مقداری زمان می‌گیرد تا مرحله‌ی بعدی را تمام کند، صفحه‌ی "Key
Creation". در حالی که صبر می‌کنید، می‌توانید کار دیگری با رایانه‌ی خود انجام
دهید، مانند تماشای فیلم، یا گردش در اینترنت. هرچه بیشتر سرتان را گرم
اینکارها کنید، ایجاد کلید سریع‌تر تمام می‌شود.</p>

<p><span style="font-weight: bold;">زمانی که پنجره "Key Generation Completed"
نمایش داده شد، Generate Certificate را انتخاب کنید و یک مسیر امن را برای
ذخیره‌ی آن روی کامپیوتر خود انتخاب کنید (توصیه می‌کنیم که یک پوشه جدید با
عنوان "Revocation Certificate" در پوشه home بسیازید). این گام برای محافظت از
ایمیل خود ضروری است، در این مورد در <a href="#section5">بخش ۵</a> بیشتر
میخوانید.</span></p>

<!-- ~~~~~~~~~ Troubleshooting ~~~~~~~~~ -->
<div class="troubleshooting">

<h4>عیب یابی</h4>

<dl>
<dt>منوی Enigmail را پیدا نمی کنم</dt>
<dd>در بسیاری از برنامه‌های ایمیل، منوی اصلی بوسیله‌ی یک تصویر با سه خط افقی
نمایش داده می‌شود. Enigmail ممکن است داخل قسمتی باشد به اسم Tools.</dd>

<dt>برنامه‌ی نصب کننده می‌گوید نمی‌تواند GnuPG را پیدا کند.</dt>
<dd>هر برنامه‌ای که معمولا برای نصب نرم افزار از آن استفاده می‌کنید باز کنید و
GnuPG را جستجو و نصب کنید. سپس نصب Enigmail را را ببندید و دوباره از طریق
منوی Enigmail سپس Setup Wizard باز کنید.</dd>

<dt>ایمیل من عجیب به نظر می رسد</dt>
<dd>معمولا Enigmail با HTML (که برای قالب بندی ایمیل‌ها استفاده می‌شود) عملکرد
خوبی ندارد، در نتیجه ممکن است به صورت خودکار قالب بندی HTML را غیرفعال
کند. برای ارسال یک ایمیل HTML بدون رمزگذاری یا امضا، کلید Shift را موقع کلیک
روی compose فشار دهید، در این صورت ایمیل شما به گونه‌ای ارسال می‌شود که
انگار Enigmail وجود ندارد.</dd>

<dt>منابع بیشتر</dt>
<dd>اگر با راهنمای ما مشکل دارد یا می‌خواهید بیشتر یاد بگیرید، <a
href="https://enigmail.wiki/Key_Management#Generating_your_own_key_pair">راهنمای
Enigmail برای ایجاد کلید</a> را ببینید.</dd>

<dt class="feedback">راه حلی برای مشکل خود پیدا نمی کنید؟</dt>
<dd class="feedback">لطفا از طریق صفحه‌ی <a
href="https://libreplanet.org/wiki/GPG_guide/Public_Review">پیشنهادات</a> با
ما در میان بگذارید.</dd>
</dl>

</div><!-- /.troubleshooting -->

<!-- ~~~~~~~~~ Troubleshooting ~~~~~~~~~ -->
<div class="troubleshooting">

<h4>پیشرفته</h4>

<dl>
<dt>ایجاد کلید اط طرق خط فرمان</dt>
<dd>اگر خط فرمان را برای کنترل بیشتر ترجیح می‌دهید، می‌توانید مستندات <a
href="https://www.gnupg.org/gph/en/manual/c14.html#AEN25">The GNU Privacy
Handbook</a> را ببینید. مطمئن شوید که با RSA کار می‌کنید، زیرا جدیدتر است و
از امنیت بالاتری نسبت به الگوریتم پیشنهادی توسط مستندات برخوردار است. همچنین
مطمئن شوید که کلید شما حداقل ۲۰۴۸ بیت است. یا حتی ۴۰۹۶ بیت اگر می‌خواهید
خیلی امنیت بالایی داشته باشید.</dd>

<dt>جفت کلید پیشرفته</dt>
<dd>زمانی که GnuPG یک جفت کلید جدید می‌سازد، توابع رمزگذاری را از توابع امضا
کردن به وسیله‌ی <a
href="https://wiki.debian.org/Subkeys">زیرکلیدها(subkeys(</a> جدا و طبقه
بندی می‌کند. اگر شما از زیرکلیدها به طور مناسب استفاده کنید می‌توانید هویت
GnuPG را بسیار امن‌تر نگه دارید و همچنین آن را از یک کلید در معرض خطر زودتر
بازیابی کنید. <a
href="https://alexcabal.com/creating-the-perfect-gpg-keypair/">الکس
کابال</a> و <a href="http://keyring.debian.org/creating-key.html">ویکی پدیای
دبیان</a> آموزش‌های خوبی برای استفاده و پیکربندی زیرکلیدها دارند.</dd>
</dl>

</div><!-- /.troubleshooting -->
</div><!-- End .main -->
</div><!-- End #step-2a .step -->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="step-2b" class="step">
<div class="main">

<h3><em>گام ۲. ب</em> آپلود کلید عمومی روی سرور کلید</h3>

<p>در نرم افزار ایمیل خود منوی Enigmail سپس Key Management را انتخاب کنید</p>

<p>روی کلید خود راست کلیک کنید و Upload Public Keys to Keyserver را انتخاب
کنید. در پنجره‌ای که ظاهر می‌شود از سرور کلید پیش فرض استفاده کنید.</p>

<p class="notes">حالا زمانی که یک نفر بخواهد برای شما ایمیل رمزگذاری شده بفرستد، می‌تواند
کلید عمومی شما را از اینترنت دانلود کند. چند سرورکلید وجود دارد که هنگام
آپلود کلید خود می‌توانید آنها را انتخاب کنید، ولی همه‌ی آنها داده‌های یکسانی
دارند، پس اهمیتی ندارد که کدام سرور را انتخاب کنید. گرچه ممکن است چند ساعت
زمان ببرد که این سرورها اطلاعات را بین یکدیگر رد و بدل کنند و کلید شما روی
همه‌ی سرورها آپلود شود.</p>

<!-- ~~~~~~~~~ Troubleshooting ~~~~~~~~~ -->
<div class="troubleshooting">

<h4>عیب یابی</h4>

<dl>
<dt>نوار بارگذاری تمام نمی‌شود.</dt>
<dd>پنجره‌ی آپلود را ببندید، از اتصال به اینترنت مطمئن شوید و دوباره تلاش
کنید. اگر کار نکرد، دوباره با یک سرور کلید متفاوت امتحان کنید.</dd>

<dt>کلید من در لیست ظاهر نمی‌شود</dt>
<dd>با "Display All Keys by Default." تلاش کنید</dd>

<dt>مستندات بیشتر</dt>
<dd>چنان چه با دستورالعمل مشکل دارید یا می‌خواهید بیشتر بدانید، به <a
href="https://www.enigmail.net/documentation/quickstart-ch2.php#id2533620">مستندات
Enigmail </a> سر بزنید.</dd>

<dt class="feedback">راه حلی برای مشکل خود پیدا نمی کنید؟</dt>
<dd class="feedback">لطفا از طریق صفحه‌ی <a
href="https://libreplanet.org/wiki/GPG_guide/Public_Review">پیشنهادات</a> با
ما در میان بگذارید.</dd>
</dl>

</div><!-- /.troubleshooting -->

<!-- ~~~~~~~~~ Troubleshooting ~~~~~~~~~ -->
<div class="troubleshooting">

<h4>پیشرفته</h4>

<dl>
<dt>بارگذاری(آپلود) یک کلید از طریق خط فرمان</dt>
<dd>شما همچنین می‌توانید از <a
href="https://www.gnupg.org/gph/en/manual/x457.html">خط فرمان</a> برای آپلود
کلیدهای خود روی سرور کلید استفاده کنید. <a
href="https://sks-keyservers.net/overview-of-pools.php">وب سایت sks </a> یک
لیست از سرورهای کلید بهم پیوسته ارائه می‌کند. همچنین می‌توانید به طور مستقیم
کلید خود را <a href="https://www.gnupg.org/gph/en/manual/x56.html#AEN64">به
صورت یک فایل روی کامپیوتر خود ذخیره کنید.</a></dd>
</dl>

</div><!-- /.troubleshooting -->
</div><!-- End .main -->
</div><!-- End #step-2b .step -->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="terminology" class="step">
<div class="main">

<h3>GnuPG، OpenPGP، چی؟</h3>

<p>معمولا اصطلاحات GnuPG، GPG، GNU Privacy Guard، OpenPGP و PGP به جای یکدیگر
استفاده می‌شوند. از نظر فنی OpenPGP(Pretty Good Privacy) استاندارد رمزگذاری
است و GNU Privacy Guard (معمولا به صورت کوتاه شده‌ی GPG یا GnuPG) نرم
افزاری است که این استاندارد را پیاده سازی می‌کند. Enigmail یک افزونه برای
نرم افزار ایمیل است که یه واسط کاربری برای GnuPG ارائه می‌دهد.</p>

</div><!-- End .main -->
</div><!-- End #terminology.step-->
</div></section><!-- End #section2 -->

<!-- ~~~~~~~~~ Section 3: Try it out ~~~~~~~~~ -->
<section class="row" id="section3"><div>

<!-- ~~~~~~~~~ section introduction: interspersed text ~~~~~~~~~ -->
<div class="section-intro">

<h2><em>#۳</em> امتحان کنید!</h2>

<p>در اینجا شما یک مکاتبه‌ی آزمایشی با یک نرم افزار کامپیوتری به اسم ادوارد
خواهید داشت که می‌داند چگونه از رمزگذاری استفاده کند. غیر از جاهایی که گفته
شده، این‌ها مراحل مشابهی هستند که برای یک مکاتبه با یک فرد واقعی دنبال
می‌کنید.</p>

<!-- <p>NOTE: Edward is currently having some technical difficulties, so he may take a long time to respond, or not respond at all. We're sorry about this and we're working hard to fix it. Your key will still work even without testing with Edward.</p> -->
</div><!-- End .section-intro -->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="step-3a" class="step">
<div class="sidebar">

<p><img
src="//static.fsf.org/nosvn/enc-dev0/img/en/screenshots/section3-try-it-out.png"
alt="امتحان کنید" /></p>

</div><!-- /.sidebar -->
<div class="main">

<h3><em>گام ۳، الف</em> ارسال کلید عمومی به ادوارد</h3>

<p>این یک مرحله‌ی به خصوص است که شما در یک مکاتبه‌ی واقعی انجام نخواهید داد. در
منو نرم افزار ایمیل به Enigmail سپس Key Management بروید. کلید خود را در
لیستی که باز می شود می‌بینید. روی کلید خود راست کلیک کنید و Public Keys by
Email را انتخاب کنید. با این کار یک ایمیل جدید تهیه می‌شود، مثل اینکه روی
دکمه‌ی Write کلیک کرده باشید.</p>

<p><a href="mailto:edward-en@fsf.org">edward-en@fsf.org</a> را به عنوان
گیرنده‌ی ایمیل وارد کنید. در عنوان(Subject) و متن ایمیل حداقل یک کلمه(مهم
نیست چه کلمه ای) وارد کنید. صبر کنید، ایمیل را ارسال نکنید.</p>

<p>آیکن قفل در بالا سمت راست باید زرد باشد، به این معنی که رمزگذاری فعال
است. ما این ایمیل اولیه‌ی مخصوص را رمزگذاری نمی‌کنیم، پس روی آیکن قفل کلیک
کنید تا آن را خاموش کنید. قفل باید خاکستری شده باشد، با یک نقطه‌ی آبی روی آن
(برای هشدار به شما که این پیکربندی از مقدار پیش فرض تغییر داده شده است). به
محض اینکه رمزگذاری خاموش شد روی Send کلیک کنید.</p>

<p class="notes">ممکن است دو یا سه دقیقه برای ادوارد زمان ببرد تا پاسخ شما را بدهد. همزمان
شاید بخواهید بخش <a href="#section5">به خوبی از آن استفاده کنید</a> در این
راهنما را بخوانید. به محض اینکه او پاسخ شما را داد، به گام بعدی بروید. از
حالا به بعد کارهایی را انجام خواهید داد که در مکاتبه با یک فرد واقعی لازم
است.</p>

<p>وقتی پاسخ ادوارد را باز می‌کنید، GnuPG از شما می‌خواهد که رمز عبور کلید
خصوصی خود را برای رمزگشایی ایمیل دریافتی وارد کنید.</p>

</div><!-- End .main -->
</div><!-- End #step-3a .step -->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="step-3b" class="step">
<div class="main">

<h3><em>گام ۳، ب</em> ارسال یک ایمیل رمزگذاری شده‌ی آزمایشی</h3>

<p>در نرم افزار ایمیل، یک ایمیل جدید برای <a
href="mailto:edward-en@fsf.org">edward-en@fsf.org</a> بنویسید. عنوان را
"Encryption test" یا یک نوشته‌ی مشابه وارد کنید و چیزی دلخواه در متن ایمیل
بنویسید.</p>

<p>آیکن قفل در بالا سمت راست باید زرد باشد، به این معنی که رمزگذاری فعال
است. از حالا به بعد این حالت پیش فرض است.</p>

<p class="notes">در کنار قفل، یک آیکن مداد می بینید. خیلی زود به آن می پردازیم.</p>

<p>روی Send کلیک کنید. Enigmail یک پنجره نمایش خواهد داد که می گوید:
<br /><span dir="ltr">"Recipients not valid, not trusted or not
found."</span></p>

<p>برای رمزگذاری یک ایمیل برای ادوارد، به کلید عمومی او نیاز دارید، پس از
Enigmail می‌خواهید که آن را برای شما دانلود کند. روی Download Missing Keys
کلیک کنید و گزینه‌ی انتخاب سرور کلید(Keyserver) را به صورت پیش فرض رها
کنید. به محض اینکه کلیدها را پیدا کرد، اولی را بررسی کنید(شناسه‌ی کلید با C
شروع شده است)، سپس روی OK کلیک کنید. در پنجره ی بعدی OK را انتخاب کنبد.</p>

<p>حالا به صفحه‌ی "Recipients not valid, not trusted or not found"
بازگشتید. تیک روبروی کلید ادوارد را بزنید و روی Send کلیک کنید.</p>

<p class="notes">از آنجایی که این ایمیل را به وسیله‌ی کلید عمومی ادوارد رمزگذاری کرده اید،
کلید خصوصی ادوارد برای رمزگشایی آن نیاز است. ادوارد تنها فرد با این کلید
است، در نتیجه هیچ کس به غیر از اون نمی‌تواند آن را رمزگشایی کند.</p>

<!-- ~~~~~~~~~ Troubleshooting ~~~~~~~~~ -->
<div class="troubleshooting">

<h4>عیب یابی</h4>

<dl>
<dt>Enigmail نمی تواند کلید ادوارد را پیدا کند</dt>
<dd>پنجره‌هایی که بعد از کلیک روی Send باز شده‌اند را ببنید. مطمئن شوید که به
اینترنت متصل هستید و دوباره تلاش کنید. اگر کار نمی‌کند، پروسه را دوباره
انجام دهید، یک سرور کلید (Keyserver) دیگر را انتخاب کنید.</dd>

<dt>پیام‌های رمزگذاری نشده در پوشه‌ی Sent</dt>
<dd>گرچه شما نمی‌توانید ایمیل‌هایی که برای شخص دیگری رمزگذاری شده‌اند را
رمزگشایی کنید، نرم افزار ایمیل شما به صورت خودکار یک کپی رمزگذاری شده
بوسیله‌ی کلید عمومی شما در پوشه‌ی Sent ذخیره می‌کند و شما می‌توانید آن را
مثل یک ایمیل معمولی باز کنید. این طبیعی است و به این معنی نیست که ایمیل شما
بدون رمزگذاری فرستاده شده است.</dd>

<dt>منابع بیشتر</dt>
<dd>اگر همچنان مشکل دارید با دستورالعمل ما مشکل دارید یا می‌خواهید بیشتر بدانید،
نگاهی بیندازید به <a
href="https://enigmail.wiki/Signature_and_Encryption#Encrypting_a_message">Enigmail's
ویکی</a>.</dd>

<dt class="feedback">راه حلی برای مشکل خود پیدا نمی کنید؟</dt>
<dd class="feedback">لطفا از طریق صفحه‌ی <a
href="https://libreplanet.org/wiki/GPG_guide/Public_Review">پیشنهادات</a> با
ما در میان بگذارید.</dd>
</dl>

</div><!-- /.troubleshooting -->

<!-- ~~~~~~~~~ Troubleshooting ~~~~~~~~~ -->
<div class="troubleshooting">

<h4>پیشرفته</h4>

<dl>
<dt>رمز گذاری پیام‌ها از طریق خط فرمان</dt>
<dd>شما هم‌چنین می‌توانید پیام‌های خود را از <a
href="https://www.gnupg.org/gph/en/manual/x110.html">خط فرمان</a> رمزگذاری و
رمزگشایی کنید. گزینه‌ی --armor خروجی رمزگذاری شده را به صورت کاراکترهای
معمولی در می‌آورد.</dd>
</dl>

</div><!-- /.troubleshooting -->
</div><!-- End .main -->
</div><!-- End #step-3b .step -->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="step-headers_unencrypted" class="step">
<div class="main">

<h3><em>مهم:</em> نکات امنیتی</h3>

<p>حتی زمانی که ایمیل‌های خود را رمزگذاری می کنید، عنوان ایمیل رمزگذاری شده
نیست، در نتیجه اطلاعات خصوصی را در عنوان ایمیل قرار ندهید. آدرس‌های فرستنده
و گیرنده هم رمزگذاری نمی شوند، پس سیستم های نظارتی قادر خواهند بود کسانی که
با آنها در ارتباط هستید را شناسایی کنند. هم چنین سیستم های نظارتی خواهند
دانست که شما از GnuPG استفاده می کنید، حتی اگر نتوانند متن شما را
بفهمند. زمانی که فایلی را به یک ایمیل پیوست می‌کنید، Enigmail به شما این
امکان را می دهد که آن را رمزگذاری کنید یا نه، مستقل از متن ایمیل.</p>

</div><!-- End .main -->
</div><!-- End #step-headers_unencrypted .step-->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="step-3c" class="step">
<div class="main">

<h3><em>گام ۳، پ</em> دریافت یک پاسخ</h3>

<p>زمانی که ادوارد ایمیل شما را دریافت می کند، از کلید شخصی خودش استفاده می کند
تا آن را رمزگشایی کند، سپس او از کلید عمومی شما (که شما پیش از این برای اون
فرستاده اید<a href="#step-3a">گام ۳، الف</a>) را استفاده می کند تا پاسخ خود
را برای شما رمزگذاری کند.</p>

<p class="notes">ممکن است دو یا سه دقیقه زمان ببرد که ادوارد پاسخ بدهد، شاید شما بخواهید در
این زمان نگاهی به بخش <a href="#section5">به خوبی از آن استفاده کنید</a> در
این مقاله بیندازید.</p>

<p>زمانی که ایمیل ادوارد را دریافت می‌کنید و آن را باز می‌کنید، Enigmail به طور
خودکار تشخیص می‌دهد که ایمیل به وسیله‌ی کلید عمومی شما رمزگذاری شده است، پس
از کلید خصوصی شما برای رمزگشایی آن استفاده می‌کند.</p>

<p>به نوار بالای پیام دقت کنید، آن شامل اطلاعاتی در مورد وضعیت کلید ادوارد است.</p>

</div><!-- End .main -->
</div><!-- End #step-3c .step -->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="step-3d" class="step">
<div class="main">

<h3><em>گام ۳، ت</em> ارسال یک ایمیل امضا شده‌ی آزمایشی</h3>

<p>GnuPG یک راهی به شما ارائه می‌دهد که پیام‌ها و فایل‌های خود را امضا کنید و
تایید کنید که آن‌ها را شما فرستاده‌اید و در بین راه دستکاری نشده‌اند. این
امضاها از امضاهای کاغذی قوی‌تر هستند، غیر ممکن است که جعل شوند به دلیل اینکه
بدون کلید خصوصی امکان ساختن آن‌ها نیست(یک دلیل دیگر برای امن نگه داشتن کلید
خصوصی‌تان).</p>

<p>شما می‌توانید پیام‌هایتان به هرکسی را امضا کنید، این یک راه خوبی است که به
دیگران بگویید که شما از GnuPG استفاده می‌کنید و آن‌ها می‌توانند به صورت امن
با شما تماس برقرار کنند. اگر آن‌ها GnuPG ندارند، قادر خواهند بود که پیام شما
را بخوانند و امضای شما را ببینند. اگر GnuPG دارند، همچنین قادر خواهند بود از
صحت امضای شما مطمئن شوند.</p>

<p>برای امضای یک ایمیل برای ادوارد، یک ایمیل جدید ایجاد کنید و روی آیکن مداد
کنار آیکن قفل کلیک کنید تا به رنگ طلایی در بیاید. زمانی که یک پیام را امضا
می‌کنید، GnuPG برای ارسال ایمیل رمز عبور را از شما میخواهند، چون به آن برای
باز کردن کلید خصوصی شما نیاز دارد.</p>

<p>به وسیله‌ی آیکن‌های مداد و قفل شما می‌توانید انتخاب کنید که چه پیام‌هایی
رمزگذاری شوند، امضا شوند، هر دو یا هیچکدام.</p>

</div>
</div>

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="step-3e" class="step">
<div class="main">

<h3><em>گام ۳،ث</em> دریافت یک پاسخ</h3>

<p>زمانی که ادوارد پیام شما را دریافت می‌کند، از کلید عمومی شما استفاده
می‌کند(که شما آن را برای ادوارد فرستادید، <a href="#step-3a">گام ۳، الف</a>)
تا از صحت امضای و سلامت متن پیام مطمئن شود.</p>

<p class="notes">ممکن است دو یا سه دقیقه زمان ببرد که ادوارد پاسخ بدهد، شاید شما بخواهید در
این زمان نگاهی به بخش <a href="#section5">به خوبی از آن استفاده کنید</a> در
این مقاله بیندازید.</p>

<p>پاسخ ادوارد به صورت رمزگذاری شده خواهد رسید، چون او ترجیح می‌دهد در صورت
امکان از رمزگذاری استفاده کند. اگر همه چیز طبق نقشه پیش برود، باید بگوید:
"Your signature was verified.". اگر ایمیل امضا شده‌ی شما رمزگذاری هم شده
باشد، او در ابتدای گوش زد خواهد کرد.</p>

</div><!-- End .main -->
</div><!-- End #step-3e .step -->
</div></section>

<!-- ~~~~~~~~~ Section 4: Learn the Web of Trust ~~~~~~~~~ -->
<section class="row" id="section4"><div>

<!-- ~~~~~~~~~ section introduction: interspersed text ~~~~~~~~~ -->
<div class="section-intro">

<h2><em>#۴</em> فراگیری وب قابل اعتماد</h2>

<p>رمزگذاری ایمیل یک تکنولوژی قدرتمند است، ولی ضعف‌هایی هم دارد؛ ما به یک راهی
نیازمندیم که ثابت کند کلید عمومی که در حال استفاده هستیم، کلید عمومی فرد
مورد نظر است. در غیراینصورت راهی وجود ندارد که جلوی حمله‌ی خراب کاران را
بگیریم، آنها یک آدرس ایمیل به نام دوست شما ایجاد می‌کنند، کلید عمومی و خصوصی
را می‌سازند و هویت دوست شما را جعل می‌کنند. به همین خاطر است که برنامه
نویسان نرم افزار آزاد که رمزگذاری ایمیل را توسعه داده‌اند، امضای کلید
(keysigning) و وب قابل اعتماد (Web of Trust) را تهیه کرده‌اند. </p>

<p>زمانی که شما کلید یک نفر را امضا می‌کنید، در واقع به صورت همگانی تایید
می‌کنید که آن کلید متعلق به شخص مورد نظر است و نه کس دیگری.</p>

<p>کلیدها و پیام‌های امضا شده اعمال ریاضی مشابهی را استفاده می‌کنند، ولی آن‌ها
مفاهیم متفاوتی را بیان می‌کنند. تمرین خوبی است که ایمیل‌های خود را امضا
کنید، ولی اگر معمولا کلید دیگران را امضا می‌کنید، ممکن است اتفاقی هویت جعلی
یک نفر را تایید کنید.</p>

<p>کسانی که کلید عمومی شما را استفاده می‌کنند، می‌توانند ببینند چه کسانی آن را
امضا کرده‌اند. اگر از GnuPG به مدت زیادی استفاده کنید، کلید شما ممکن است
هزاران امضا داشته باشد. برای شما یک کلید قابل اعتمادتر است اگر آن کلید امضای
افراد قابل اعتماد شما را داشته باشد. وب قابل اعتماد یک گروه از کاربران GnuPG
است که به وسیله‌ی زنجیره‌ای از امضاهای مورد اعتماد به همدیگر متصل شده‌اند.</p>

</div><!-- End .section-intro -->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="step-4a" class="step">
<div class="sidebar">

<p><img
src="//static.fsf.org/nosvn/enc-dev0/img/en/screenshots/section4-web-of-trust.png"
alt="بخش ۴: وب قابل اعتماد" /></p>

</div><!-- /.sidebar -->
<div class="main">

<h3><em>گام ۴، الف</em> امضای یک کلید</h3>

<p>در نرم افزار ایمیل خود به Enigmail سپس Key Management بروید.</p>

<p>روی کلید عمومی ادوارد راست کلیک کنید و Sign Key را انتخاب کنید.</p>

<p>در پنجره‌ای که باز می‌شود روی "I will not answer" کلیک کنید و سپس روی OK
کلیک کنید.</p>

<p>حالا شما باید به منوی Key Management بازگشته باشید. Keyserver سپس Upload
Public Keys را انتخاب کنید و روی OK کلیک کنید.</p>

<p class="notes">در واقع شما گفتید که "به کلید عمومی ادوارد اعتماد دارید و این واقعا مال
ادوارد است." این معنی خاصی نمی‌دهد چون ادوارد یک فرد واقعی نیست، ولی این یک
تمرین خود بود.</p>

<!--<div id="pgp-pathfinder">

<form enctype="application/x-www-form-urlencoded" action="/mk_path.cgi" method="get">

<p><strong>From:</strong><input type="text" placeholder="xD41A008" name="FROM"></p>

<p><strong>To:</strong><input type="text" placeholder="50BD01x4" name="TO"></p>

<p class="buttons"><input type="submit" value="trust paths" name="PATHS"><input type="reset" value="reset" name=".reset"></p>

</form>

</div>End #pgp-pathfinder -->
</div><!-- End .main -->
</div><!-- End #step-4a .step -->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="step-identify_keys" class="step">
<div class="main">

<h3>شناسایی کلیدها: اثرانگشت‌ها و شناسه‌ها</h3>

<p>کلید عمومی مردم معمولا با کلید اثرانگشت شناسایی می شود، که یک رشته حروف
مانند F357AA1A5B1FA42CFD9FE52A9FF2194CC09A61E8 (برای کلید ادوارد)
می‌باشد. شما می‌توانید اثرانگشت کلید عمومی خود و کلیدهای عموملی دیگر را که
روی کامپیوتر خود دارید ببینید، برای اینکار به منوی Enigmail سپس Key
Management از نرم افزار ایمیل خود بروید، سپس روی یک کلید راست کلیک کنید و
Key Properties را انتخاب کنید. این یک تمرین خوب است که اثرانگشت خود را همراه
با نشانی ایمیل خود به اشتراک بگذارید، در نتیجه دیگران مطمئن خواهند بود که
کلید عمومی شما را از سرورکلید دریافت کرده اند.</p>

<p class="notes">هم‌چنین ممکن است ببینید که کلیدهای عمومی با شناسه کلید(Key ID) ارجاع داده
شده است، که هشت رقم آخر اثرانگشت(fingerprint) است، چیزی شبیه C09A61E8 برای
ادوارد. شناسه کلید مسقیما از پنجره مدیریت کلید قابل روئت هست. این شناسه‌ی
کلید شبیه اسم کوچک یک نفر است(این یک کلمه‌ی کوتاه قابل استفاده است ولی ممکن
است برای هر کلید منحصر به فرد نباشد)، در حالی که اثرانگشت کلید را به طور
منحصر به فرد تعریف می‌کند بدون هیچ گونه گیج کنندگی. اگر شما تنها شناسه کلید
را دارید، همچنان می‌توانید کلید یا اثرانگشت را پیدا کنید، همانطور که در بخش
۳ انجام دادید، ولی اگر چند گزینه ظاهر شد، به اثر انگشت برای شناسایی فردی که
قصد ارتباط با آن را دارید نیازمندید.</p>

</div><!-- End .main -->
</div><!-- End #step-identify_keys .step-->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="check-ids-before-signing" class="step">
<div class="main">

<h3><em>مهم:</em> نکات قابل توجه هنگام امضای کلیدها</h3>

<p>قبل از امضای کلید یک نفر باید مطمئن شوید که کلید واقعا متعلق به آن شخص است و
کلید معرف شخص واقعی است. به صورت ایده آل، این اطمینان از ارتباط با آن اشخاص
و مشاهده‌ی ارتباط آنها با سایرین حاصل می‌شود. زمانی که میخواهید یک کلید را
امضا کنید اثرانگشت کامل کلیدعمومی را درخواست کنید، کلید شناسه‌ی کوتاه کافی
نیست. اگر احساس نیاز می‌کنید که کلید یک نفر را امضا کنید که به تازگی ملاقات
کرده‌اید، از او بخواهید که کارت شناسایی‌اش را نشان بدهد و نام روی کارت
شناسایی را با نام کلید عمومی چک کنید. در Enigmail صادقانه به سوال
<br /><span dir="ltr">"How carefully have you verified that the key you are
about to sign actually belongs to the person(s) named above?"</span><br />
در پنجره‌ای که ظاهر می‌شود پاسخ دهید. (ترجمه سوال: چقدر اطمینان دارید که
این کلید متعلق به فردی‌ست که در بالا آورده شده است؟)
</p>

<!-- ~~~~~~~~~ Troubleshooting ~~~~~~~~~ -->
<div class="troubleshooting">

<h4>پیشرفته</h4>

<dl>
<dt>مهارت در وب قابل اعتماد ( Web of Trust)</dt>
<dd>متاسفانه اعتماد به گونه ای که <a
href="http://fennetic.net/irc/finney.org/~hal/web_of_trust.html">بیشتر مردم
فکر می‌کنند</a> گسترده نمی‌شود. بهترین راهی که می‌شود جمعیت GnuPG را تقویت
کرد <a href="https://www.gnupg.org/gph/en/manual/x334.html">فهم دقیق</a> وب
قابل اعتماد ( Web of Trust) و امضای دقیق کلید دیگران به اندازه‌ای که شرایط
اجازه می‌دهد، می باشد.</dd>

<dt>تنظیم ownertrust (صاحب اعتبار)</dt>
<dd>اگر به کسی به این اعتماد دارید که فکر می‌کنید بتواند کلیدهای دیگران را هم
معتبر کند، می‌توانید آنها را به عنوان ownertrust(صاحب اعتبار) در پنجره‌ی
مدیریت کلید Enigmails تعیین کنید. روی کلید آنها راست کلید کنید، به منوی
"Select Owner Trust" بروید، trustlevel را انتخاب کنید و روی OK کلیک
کنید. تنها زمانی اینکار را بکنید که درک درستی از وب قابل اعتماد (Web of
Trust) پیدا کرده‌اید.</dd>
</dl>

</div><!-- /.troubleshooting -->
</div><!-- End .main -->
</div><!-- End #check-ids-before-signing .step-->
</div></section><!-- End #section4 -->

<!-- ~~~~~~~~~ Section 5: Use it well ~~~~~~~~~ -->
<section id="section5" class="row"><div>

<!-- ~~~~~~~~~ section introduction: interspersed text ~~~~~~~~~ -->
<div class="section-intro">

<h2><em>#۵</em> از آن به خوبی استفاده کنید</h2>

<p>هرکسی GnuPG را به شیوه‌ی متفاوتی استفاده می‌کند، ولی این مهم است که برخی
اصول اولیه را برای امن نگه داشتن ایمیل خود رعایت کنید. اگر این اصول را رعایت
نکنید، حریم شخصی خود و افرادی که با آنها در تماس هستید را به خطر می‌اندازید،
و امنیت Web of Trust (وب امن) را خدشه دار می‌کنید.</p>

</div><!-- End .section-intro -->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="step-5a" class="step">
<div class="sidebar">

<p><img
src="//static.fsf.org/nosvn/enc-dev0/img/en/screenshots/section5-01-use-it-well.png"
alt="بخش ۵: از آن به خوبی استفاده کنید(۱)" /></p>

</div><!-- /.sidebar -->
<div class="main">

<h3>کی باید رمزگذاری کنم؟ کی باید امضا کنم؟</h3>

<p>هرچه بیشتر که ایمیل‌های خود را رمزگذاری کنید بهتر است. اگر فقط گهگاهی
ایمیل‌های خود را رمزگذازی می‌کنید، هر ایمیل رمزگذاری شده پرچم مبارزه با
سیستم‌های نظارتی است. اگر همه یا بیشتر ایمیل‌های شما رمزگذاری شده‌اند، کسانی
که نظارت همگانی را انجام می‌دهند نمی‌دانند از کجا شروع کنند. این به این معنی
نیست که رمزگذاری بعضی از ایمیل‌هایتان مفید نیست، به هرحال این یک راه بسیار
خوب برای سخت کردن کار سیستم‌های نظارتی است.</p>

<p>چه از رمزگذاری استفاده بکنید یا نکنید امضای هر ایمیل کار خوبی است، مگراینکه
نخواهید هویت خود را آشکار کنید(که نیازمند زوایای دیگر اقدامات حفاظتی
است). علاوه بر اینکه با امضای هر ایمیل با GnuPG تایید می‌کنید که ایمیل از
طرف شخص شما ارسال شده است، امضای ایمیل‌ها یک راه بی آزاری است برای اینکه به
همه‌ی افراد بگوئید شما از GnuPG استفاده می‌کنید و از ارتباط امن پشتیبانی
می‌کنید. اگر معمولا برای افرادی ایمیل می‌فرستید که از GnuPG چیزی نمی‌دانند،
اضافه کردن یک پیوند به این آموزش در ایمیل خود می‌تواند کار خوبی باشد.</p>

</div><!-- End .main -->
</div><!-- End #step-5a .step -->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="step-5b" class="step">
<div class="sidebar">

<p><img
src="//static.fsf.org/nosvn/enc-dev0/img/en/screenshots/section5-02-use-it-well.png"
alt="بخش ۵: از آن به خوبی استفاده کنید(۲)" /></p>

</div><!-- /.sidebar -->
<div class="main">

<h3>مراقب کلیدهای نامعتبر باشید</h3>

<p>GnuPG ایمیل را امن‌تر می‌کند، ولی همچنان مهم است که مراقب کلیدهای نامعتبر
باشیم که ممکن از به دست نااهلان افتاده باشد. ممکن است برنامه‌های نظارتی
ایمیل‌های رمزگذاری شده با کلیدهای نامعتبر را بخوانند.</p>

<p>در نرم افزار ایمیل خود به اولین ایمیل رمزگذاری شده که ادوارد فرستاده است
بازگردید. به دلیل اینکه ادوارد آن را با کلید عمومی شما رمزگذاری کرده است،
یک پیام در بالای آن نمایش داده می‌شود، که معمولا می گوید
<br /><span dir="ltr">"Enigmail: Part of this message encrypted."</span></p>

<p>زمانی که از GnuPG استفاده می‌کنید، این را تبدیل به یک عادت کنید که گوشه چشمی
به آن نوار داشته باشید. اگر ایمیل دریافت کنید که با یک کلید غیرقابل اعتماد
رمزگذاری شده است، نرم افزار در آنجا به شما هشدار می‌دهد.</p>

</div><!-- End .main -->
</div><!-- End #step-5b .step -->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="step-5c" class="step">
<div class="main">

<h3>گواهینامه‌ی فسخ خود را در یک مکان امن ذخیره کنید</h3>

<p>به خاطر می‌آورید زمانی که کلیدها را ساختید و گواهینامه‌ی فسخی که GnuPG ساخت
را ذخیره کردید؟ حالا زمان آن رسیده که آن گواهینامه را در امن‌ترین حافظه‌ی
دیجیتالی که دارید ذخیره کنید. یک مورد ایده آل می‌تواند یک فلش درایو، سی دی
یا یک هاردی باشد که در مکان امنی در خانه‌ی خود نگه می‌دارید، نه روی دستگاهی
که همیشه با خود حمل می‌کنید.</p>

<p>اگر کلید خصوصی‌تان گم یا دزدیده شد، به این فایل گواهینامه نیاز دارید تا به
دیگران اعلام کنید که دیگر از آن کلید استفاده نمی‌کنید.</p>

</div><!-- End .main -->
</div><!-- End #step-5c .step -->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="step-lost_key" class="step">
<div class="main">

<h3><em>مهم:</em> در صورتی که کسی به کلید خصوصی شما دسترسی پیدا کرد سریعا وارد
عمل شوید</h3>

<p>اگر کلید خصوصی خود را گم کردید یا آن در اختیار شخص دیگری قرار گرفت (مثلا آن
را دزدید یا به کامپیوتر شما نفوذ کرد)، مهم است که سریعاً آن را باطل کنید،
قبل از اینکه کسی از آن برای خواندن ایمیل‌های شما استفاده کند یا امضای شما را
جعل کند. این راهنما باطل کردن یک کلید را آموزش نمی‌دهد، ولی می‌توانید چگونگی
آن را <a href="https://www.hackdiary.com/2004/01/18/revoking-a-gpg-key/">در
اینجا</a> ببینید. بعد از اینکه کلید خود را باطل کردید، یک کلید جدید بسازید و
یک ایمیل حاوی کلید جدید برای همه‌ی کسانی که از کلید شما استفاده می‌کنند
بفرستید.</p>

</div><!-- End .main -->
</div><!-- End #step-lost_key .step-->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<!---<div id="transfer-key" class="step">
<div class="main">

<h3>Transferring you key</h3>

<p>You can use Enigmail's <a href="https://www.enigmail.net/documentation/keyman.php">key management window</a> to import and export keys. If you want to be able to read your encrypted email on a different computer, you will need to export your secret key from here. Be warned, if you transfer the key without <a href="https://help.ubuntu.com/community/EncryptedFilesystemsOnRemovableStorage">encrypting</a> the drive it's on the transfer will be dramatically less secure.</p>

</div>--><!-- End .main
</div> End #transfer-key .step-->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~ -->
<div id="webmail-and-GnuPG" class="step">
<div class="main">

<h3>Webmail و GnuPG</h3>

<p>زمانی که از یک مرورگر برای دسترسی به ایمیل خود استفاده می‌کنید، درحال
استفاده از webmail (وب میل) هستید. وب میل یک نرم افزار ایمیل است که روی یک
وب سایت راه دور نصب شده است. برخلاف وب میل، نرم افزار ایمیل دسکتاپ شما روی
کامپیوتر شخصی شما اجرا می‌شود. گرچه وب میل نمی‌تواند ایمیل‌های رمزگذاری شده
را رمزگشایی کند، همچنان آن را به صورت رمزگذاری شده به شیوه‌ی خودش نمایش
می‌دهد. اگر معمولا از وب میل استفاده می‌کنید، زمانی که یک ایمیل رمزگذاری شده
دریافت می‌کنید متوجه می‌شوید که باید نرم افزار ایمیل خود را باز کنید تا آن
را بخوانید.</p>

</div><!-- End .main -->
</div><!-- End #webmail-and-GnuPG .step-->

<!-- ~~~~~~~~~ a div for each step ~~~~~~~~~
<div id="step-5d" class="step">
<div class="main">

<h3>Make your public key part of your online identity</h3>

<p> First add your public key fingerprint to your email signature, then compose an email to at least five of your friends, telling them you just set up GnuPG and mentioning your public key fingerprint. Link to this guide and ask them to join you. Don't forget that there's also an awesome <a href="infographic.html">infographic to share.</a></p>

<p class="notes">Start writing your public key fingerprint anywhere someone would see your email address: your social media profiles, blog, Website, or business card. (At the Free Software Foundation, we put ours on our <a href="https://fsf.org/about/staff">staff page</a>.) We need to get our culture to the point that we feel like something is missing when we see an email address without a public key fingerprint.</p>

</div>--><!-- End .main
</div> End #step-5d .step-->
</div></section><!-- End #section5 -->

<!-- ~~~~~~~~~ Section 6: Next steps ~~~~~~~~~ -->
<section class="row" id="section6">
<div id="step-click_here" class="step">
<div class="main">

<h2><a href="next_steps.html">خسته نباشید! گام‌های بعدی را ببینید.</a></h2>

</div><!-- End .main -->
</div><!-- End #step-click_here .step-->
</section><!-- End #section6 -->

<!-- ~~~~~~~~~ FAQ ~~~~~~~~~ -->
<!-- When un-commenting this section go to main.css and search
for /* Guide Sections Background */ then add #faq to the desired color
<section class="row" id="faq"><div>
<div class="sidebar">

<h2>FAQ</h2>

</div>
<div class="main">

<dl>
<dt>My key expired</dt>
<dd>Answer coming soon.</dd>

<dt>Who can read encrypted messages? Who can read signed ones?</dt>
<dd>Answer coming soon.</dd>

<dt>My email program is opening at times I don't want it to open/is now my default program and I don't want it to be.</dt>
<dd>Answer coming soon.</dd>
</dl>

</div>
</div>
</section> --><!-- End #faq -->

<!-- ~~~~~~~~~ Footer ~~~~~~~~~ -->
<footer class="row" id="footer"><div>
<div id="copyright">

<h4><a href="https://u.fsf.org/ys"><img
alt="بنیاد نرم افزار آزاد"
src="//static.fsf.org/nosvn/enc-dev0/img/fsf-logo.png" /></a></h4>

<p>حق نشر &copy; ۲۰۱۴-۲۰۱۶ <a href="https://u.fsf.org/ys">بنیاد نرم افزار
آزاد</a>, <a href="https://my.fsf.org/donate/privacypolicy.html">خط مشی
رازداری</a>لطفا از ما حمایت کنید با <a href="https://u.fsf.org/yr">پیوستن به
ما.</a></p>

<p>تصاویر تحت مجوز <a
href="https://creativecommons.org/licenses/by/4.0/">Creative Commons
Attribution 4.0 license (یا نسخه‌های بعدی)</a> و بقیه تحت مجوز <a
href="https://creativecommons.org/licenses/by-sa/4.0">Creative Commons
Attribution-ShareAlike 4.0 license (یا نسخه‌های بعدی)</a>. می‌توانید کد <a
href="http://agpl.fsf.org/emailselfdefense.fsf.org/edward/CURRENT/edward.tar.gz">بوت
پاسخ خودکار ادوارد</a> تهیه شده توسط Andrew Engelbrecht
&lt;sudoman@ninthfloor.org&gt; و Josh Drake &lt;zamnedix@gnu.org&gt; را تحت مجوز GNU
Affero General Public License دانلود کنید. <a
href="http://www.gnu.org/licenses/license-list.html#OtherLicenses">چرا این
مجوز؟</a></p>

<p>تصاویر و اشکال استفاده شده در این راهنما: <a
href="https://www.google.com/fonts/specimen/Dosis">Dosis</a> توسط Pablo
Impallari, <a
href="http://www.google.com/fonts/specimen/Signika">Signika</a> توسط Anna
Giedry&#347;, <a
href="http://www.google.com/fonts/specimen/Archivo+Narrow">Archivo
Narrow</a> توسط Omnibus-Type, <a
href="https://libreplanet.org/wiki/GPG_guide/Graphics_Howto#Pitfalls">PXL-2000</a>
توسط Florian Cramer.</p>

<p><a href="emailselfdefense_source.zip">پکیج منبع</a> این آموزش را دانلود
کنید؛ شامل فونت‌ها، تصاویر و متن پیام‌های ادوارد.</p>

<p>این وب سایت از استاندارد Weblabels برای برچسب گذاری <a
href="https://www.fsf.org/campaigns/freejs">جاوااسکریپت آزاد</a> استفاده
می‌کند. <a href="//weblabels.fsf.org/emailselfdefense.fsf.org/"
rel="jslicense">کد و اطلاعات مجوز</a> را ببینید.</p>

</div><!-- /#copyright -->

<p class="credits">طراحی اشکال و راهنما توسط <a rel="external"
href="http://jplusplus.org"><strong>Journalism++</strong><img
src="//static.fsf.org/nosvn/enc-dev0/img/jplusplus.png"
alt="Journalism++" /></a></p><!-- /.credits -->
</div></footer><!-- End #footer -->

<script
src="//static.fsf.org/nosvn/enc-dev0/js/jquery-1.11.0.min.js"></script>
<script
src="//static.fsf.org/nosvn/enc-dev0/js/scripts.js"></script>
<!-- Piwik -->
<script type="text/javascript" >
// @license magnet:?xt=urn:btih:1f739d935676111cfff4b4693e3816e664797050&dn=gpl-3.0.txt GPL-v3-or-Later
var pkBaseURL = (("https:" == document.location.protocol) ? "https://piwik.fsf.org/" : "http://piwik.fsf.org/");
document.write(unescape("%3Cscript
src='" + pkBaseURL + "piwik.js' type='text/javascript'%3E%3C/script%3E"));
try {
var piwikTracker = Piwik.getTracker(pkBaseURL + "piwik.php", 13);
piwikTracker.trackPageView();
piwikTracker.enableLinkTracking();
} catch( err ) {}
// @license-end
</script>
<noscript><p><img
src="//piwik.fsf.org/piwik.php?idsite=13" style="border:0"
alt="" /></p></noscript>
<!-- End Piwik Tracking Code -->
</body>
</html>
